// LogDlg.cpp : implementation file
//

#include "stdafx.h"
#include "lift.h"
#include "LogDlg.h"
#include "Afxdlgs.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CLogDlg dialog


CLogDlg::CLogDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CLogDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CLogDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CLogDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CLogDlg)
	DDX_Control(pDX, IDC_LOGEDIT, m_Log);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CLogDlg, CDialog)
	//{{AFX_MSG_MAP(CLogDlg)
	ON_BN_CLICKED(IDC_SAVE, OnSave)
	ON_BN_CLICKED(IDC_CLEAR, OnClear)
	ON_WM_KILLFOCUS()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CLogDlg message handlers

void CLogDlg::OnSave() 
{
	CFileDialog sd(FALSE,"txt","log",
		OFN_HIDEREADONLY|OFN_OVERWRITEPROMPT|OFN_EXTENSIONDIFFERENT,
		"Text files (*.txt)|*.txt|All files (*.*)|*.*||",this);
    if (sd.DoModal()==IDOK) {
        CStdioFile file(sd.GetPathName(),CFile::modeCreate|CFile::modeWrite|CFile::typeBinary);
        file.Write(m_sLog,m_sLog.GetLength());
    }
}

void CLogDlg::OnOK() 
{
	UpdateUIMan();
	
	CDialog::OnOK();
}

void CLogDlg::UpdateUIMan()
{
    ((CLiftApp*)AfxGetApp())->GetMainWnd()->GetMenu()->CheckMenuItem(ID_VIEW_LOGWINDOW,this->IsWindowVisible()?MF_CHECKED:MF_UNCHECKED);
    ((CLiftApp*)AfxGetApp())->GetMainWnd()->CheckDlgButton(ID_VIEW_LOGWINDOW1,this->IsWindowVisible()?MF_CHECKED:MF_UNCHECKED);
}

void CLogDlg::OnClear() 
{
	m_sLog="";
	m_Log.SetWindowText("");
}

void CLogDlg::OnKillFocus(CWnd* pNewWnd) 
{
	CDialog::OnKillFocus(pNewWnd);
	
	UpdateUIMan();
}
