// HumanDlg.cpp : implementation file
//

#include "stdafx.h"
#include "lift.h"
#include "HumanDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CHumanDlg dialog


CHumanDlg::CHumanDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CHumanDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CHumanDlg)
	m_CurFloor = 0;
	m_Name = _T("");
	m_PutIntoAt = 0;
	m_TgtFloor = 0;
	m_WaitFor = 0;
	//}}AFX_DATA_INIT
}


void CHumanDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CHumanDlg)
	DDX_Control(pDX, IDC_EDITNAME, m_eName);
	DDX_Text(pDX, IDC_EDITCURFLOOR, m_CurFloor);
	DDV_MinMaxByte(pDX, m_CurFloor, 0, 4);
	DDX_Text(pDX, IDC_EDITNAME, m_Name);
	DDV_MaxChars(pDX, m_Name, 20);
	DDX_Text(pDX, IDC_EDITPUTINTOAT, m_PutIntoAt);
	DDX_Text(pDX, IDC_EDITTGTFLOOR, m_TgtFloor);
	DDV_MinMaxByte(pDX, m_TgtFloor, 0, 4);
	DDX_Text(pDX, IDC_EDITWAITFOR, m_WaitFor);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CHumanDlg, CDialog)
	//{{AFX_MSG_MAP(CHumanDlg)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CHumanDlg message handlers

void CHumanDlg::SetEnabled(BOOL b)
{
    ((CEdit*)this->GetDlgItem(IDC_EDITNAME))->SetReadOnly(!b);
    ((CEdit*)this->GetDlgItem(IDC_EDITCURFLOOR))->SetReadOnly(!b);
    ((CEdit*)this->GetDlgItem(IDC_EDITTGTFLOOR))->SetReadOnly(!b);
    ((CEdit*)this->GetDlgItem(IDC_EDITWAITFOR))->SetReadOnly(!b);
    ((CEdit*)this->GetDlgItem(IDC_EDITPUTINTOAT))->SetReadOnly(!b);
}
