#if !defined(AFX_LIFTWND_H__68905C62_DAB8_4ABB_814E_A97DB93C14F7__INCLUDED_)
#define AFX_LIFTWND_H__68905C62_DAB8_4ABB_814E_A97DB93C14F7__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Automata\Automat.h"
#include "Automata\A1.h"
#include "Automata\A2.h"
#include "Automata\A0.h"
#include "CallButton.h"
#include "Human.h"

/////////////////////////////////////////////////////////////////////////////
// CLiftWnd window

class CLiftWnd : public CWnd
{
// Construction
public:
	CLiftWnd();

// Attributes
public:

// Operations
public:

// Overrides
	//{{AFX_VIRTUAL(CLiftWnd)
	//}}AFX_VIRTUAL

// Implementation
public:
	void ReInit();

// Automat A0
	A0 aA0;

    virtual ~CLiftWnd();
    BOOL Create(DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID);

private:
    double m_dOldRope; // Previous length of a rope
    void CLiftWnd::InvalidateHumans(humanlist& lst, int i);

protected:
	// Drawint routines
    void DrawIt(CDC& dc);
    void ClipLift(CDC& dc);
    void DrawDoors(CDC& dc);
	void DrawLift(CDC& dc);

public:
    CBrush m_BkBrush;
	CBrush m_FlBrush;
	CBrush m_CarBrush;
	CBrush m_CarBkBrush;
	CBrush m_RopBrush;
	CBrush m_OnBrush;
	CBrush m_OffBrush;
	CFont m_Font;
	CFont m_Font2;
    CPen m_CarPen;
    CCallButton m_CallUp[4];
    CCallButton m_CallDown[4];
    void InvalidateCtrls();
    void PaintDyn();

protected:
	//{{AFX_MSG(CLiftWnd)
	afx_msg void OnPaint();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
#endif // !defined(AFX_LIFTWND_H__68905C62_DAB8_4ABB_814E_A97DB93C14F7__INCLUDED_)
